%define _requires_exceptions libnspr4\\|libplc4\\|libplds4\\|libnss\\|libsmime3\\|libsoftokn\\|libssl3\\|libgtkembedmoz\\|libxpcom

%define lib_name %mklibname %{name}- %{api_version} %{lib_major}
%define lib_major 0
%define api_version 1

%define build_with_firefox 1

# Build with mozilla instead of firefox
%{?_with_mozilla: %global build_with_firefox 0}
%{?_without_mozilla: %global build_with_firefox 1}

%if %build_with_firefox
%define firefox_version %(rpm -q mozilla-firefox --queryformat %{VERSION})
%endif

Summary:	API documentation browser for developers
Name:		devhelp
Version:	0.13
%define subrel 7
Release:	%mkrel 3
License:	GPL
Group:		Development/Other
URL:		http://www.imendio.com/projects/devhelp/
Source0:	http://ftp.gnome.org/pub/GNOME/sources/devhelp/%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
%if %{build_with_firefox}
%if %mdkversion < 200700
Requires:	mozilla-firefox = %firefox_version
%else 
Requires: 	%mklibname mozilla-firefox %{firefox_version}
%endif
%else
Requires:	mozilla = %(rpm -q mozilla --queryformat %{VERSION})
%endif
BuildRequires:	libwnck-devel
BuildRequires:	gtk+2-devel >= 2.3.1
BuildRequires:	libglade2.0-devel
BuildRequires:	libGConf2-devel
%if %{build_with_firefox}
BuildRequires:  mozilla-firefox-devel
%else
BuildRequires:	mozilla-devel 
%endif
BuildRequires:	ImageMagick
BuildRequires:  intltool
BuildRequires:  desktop-file-utils

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Devhelp is an API documentation browser for GNOME 2. It works
natively with Gtk-doc (System used in GTK+ and GNOME for
documentating APIs) and it is possible to create books for other
documentation as well.

%package -n %{lib_name}
Summary:	Dynamic libraries for devhelp
Group:		%{group}
Requires:	%{name} >= %{version}

%description -n %{lib_name}
this package contains dynamic libraries for devhelp.


%package -n %{lib_name}-devel
Summary:	Static libraries, include files for devhelp
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}

%description -n %{lib_name}-devel
Static library and headers file for devhelp.

%package -n %{name}-plugins
Summary:	Gedit Plugins for Devhelp
Group:		Editors
Requires:	gedit

%description -n %{name}-plugins
Gedit plugins to use with Devhelp.

%prep
%setup -q
touch *

%build
%configure2_5x --disable-install-schemas \
%if %{build_with_firefox}
%if %mdkversion < 200710
--with-mozilla=mozilla-firefox 
%endif
%endif

%make

%install
rm -rf %{buildroot}

%makeinstall_std

# Menu entry 
mkdir -p %{buildroot}/%{_menudir}
cat >%{buildroot}/%{_menudir}/%{name} <<EOF
?package(%{name}): command="%{_bindir}/devhelp" icon="devhelp.png" needs="X11" \
section="More Applications/Development/Tools" title="DevHelp" longtitle="Developers Help program" xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Development-Tools" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/devhelp.desktop

#icons
mkdir -p %{buildroot}%{_miconsdir} %{buildroot}%{_iconsdir}
install -m 644 -D       ui/%{name}.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 ui/%{name}.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 ui/%{name}.png %{buildroot}%{_miconsdir}/%{name}.png

# owns this dir
mkdir -p %{buildroot}%{_datadir}/%{name}/books

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
%{update_menus}
%define schemas devhelp
%post_install_gconf_schemas %schemas

%preun
%preun_uninstall_gconf_schemas %schemas

%postun
%{clean_menus}

%post -n %{lib_name} -p /sbin/ldconfig
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README INSTALL
%_sysconfdir/gconf/schemas/devhelp.schemas
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/devhelp
%{_datadir}/icons/hicolor/*
%{_menudir}/*
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png

%files -n %{lib_name}
%defattr(-, root, root)
%{_libdir}/*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%{_libdir}/*.so
%{_libdir}/*a
%{_libdir}/pkgconfig/*
%{_includedir}/devhelp-1.0

%files -n %{name}-plugins
%defattr(-, root, root)
%{_libdir}/gedit-2/plugins/


%changelog
* Thu Mar 27 2008 Vincent Danen <vdanen@mandriva.com> 0.13-3.7mdv2007.1
- rebuild against firefox 2.0.0.13

* Wed Feb 20 2008 Vincent Danen <vdanen@mandriva.com> 0.13-3.6mdv2007.1
- rebuild against firefox 2.0.0.12

* Thu Dec 13 2007 Vincent Danen <vdanen@mandriva.com> 0.13-3.5mdv2007.1
- rebuild against firefox 2.0.0.11

* Sat Oct 20 2007 Vincent Danen <vdanen@mandriva.com> 0.13-3.4mdv2007.1
- rebuild against firefox 2.0.0.8

* Tue Jul 31 2007 Vincent Danen <vdanen@mandriva.com> 0.13-3.3mdv2007.1
- rebuild against firefox 2.0.0.6

* Mon Jul 23 2007 Vincent Danen <vdanen@mandriva.com> 0.13-3.2mdv2007.1
- rebuild against firefox 2.0.0.5

* Thu Jun 14 2007 Vincent Danen <vdanen@mandriva.com> 0.13-3.1mdv2007.1
- rebuild against firefox 2.0.0.4

* Fri Mar 23 2007 Götz Waschk <waschk@mandriva.org> 0.13-3mdv2007.1
+ Revision: 148369
- rebuild for new firefox

* Wed Feb 28 2007 Götz Waschk <waschk@mandriva.org> 0.13-2mdv2007.1
+ Revision: 126930
- rebuild
- new version
- drop patch
- fix build

* Fri Jan 12 2007 Frederic Crozat <fcrozat@mandriva.com> 0.12-7mdv2007.1
+ Revision: 107781
- Rebuild with FF 2.0.0.1

* Mon Oct 16 2006 Götz Waschk <waschk@mandriva.org> 0.12-6mdv2006.0
+ Revision: 65544
- Import devhelp



* Mon Oct 16 2006 Gtz Waschk <waschk@mandriva.org> 0.12-6mdv2007.1
- unpack patch
- fix buildrequires

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-5mdv2007.0
- Fix menu category
- Rebuild with latest firefox

* Tue Sep 12 2006 Frederic Crozat <fcrozat@mandriva.com> 0.12-4mdv2007.0
- Patch1 (CVS): various bug fixes from CVS

* Fri Aug 04 2006 Jerome Soyer <saispo@mandriva.org> 0.12-3mdv2007.0
- Rebuild for latest FF

* Sun Jul 30 2006 Jerome Soyer <saispo@mandriva.org> 0.12-2mdv2007.0
- Rebuild for latest FF

* Fri Jul 29 2006 Jerome Soyer <saispo@mandriva.org> 0.12-1mdv2007.0
- New release 0.12

* Sat Jun 25 2006 trem <trem@mandriva.org> 0.11-5mdv2007.0
- rebuild with latest FF
 
* Fri Jun 09 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11-4mdv2007.0
- rebuild with latest FF

* Fri May  5 2006 Gtz Waschk <waschk@mandriva.org> 0.11-3mdk
- fix buildrequires

* Thu May 04 2006 Frederic Crozat <fcrozat@mandriva.com> 0.11-2mdk
- Rebuild with latest firefox

* Fri Apr 28 2006 Jerome Soyer <saispo@mandriva.org> 0.11-1mdk
- New release 0.11

* Fri Apr 21 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-8mdk
- Rebuild with latest firefox

* Mon Feb 06 2006 Oden Eriksson <oeriksson@mandriva.com> 0.10-7mdk
- rebuild

* Tue Jan 10 2006 Frederic Crozat <fcrozat@mandriva.com> 0.10-6mdk
- mkrel
- Rebuild with FF 1.5
- replace hardcoded version of firefox with the one available at compile time

* Tue Oct 25 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-5mdk
- Rebuild with FF 1.0.7

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-4mdk 
- Rebuild with FF 1.0.6

* Wed May 25 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-3mdk 
- Rebuild with FF 1.0.4

* Thu May 19 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.10-2mdk
- used requires_exceptions to be able to install (nspr & moz provide pb)

* Mon May 09 2005 Frederic Crozat <fcrozat@mandriva.com> 0.10-1mdk 
- Release 0.10

* Fri Mar 25 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-7mdk 
- Rebuild with firefox 1.0.2

* Wed Mar 02 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-6mdk 
- Rebuild with firefox 1.0.1

* Tue Feb 22 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-5mdk 
- Patch0: allow build with firefox
- Build with firefox

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-4mdk 
- Rebuild with latest howl

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-3mdk 
- Rebuild with mozilla 1.7.5

* Mon Nov 22 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.3-2mdk
- Rebuild with mozilla 1.7.3 (Mdk bug #12460)

* Fri Oct 22 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- drop patch
- New release 0.9.3

* Mon Sep 27 2004 Goetz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- New release 0.9.2

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-3mdk
- Fix menu

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9.1-2mdk
- Rebuild with mozilla 1.7.2

* Sun Jul 25 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- drop patch 1
- fix source URL
- New release 0.9.1

* Tue Jul 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-5mdk
- Rebuild against mozilla 1.7 final

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 0.9-4mdk
- Rebuild with new gcc

* Sun May 30 2004 Abel Cheung <deaddog@deaddog.org> 0.9-3mdk
- [DIRM]
- enable libtoolize

* Fri Apr 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-2mdk
- Patch0 : add includes for latest mozilla
- Enforce mozilla dependency, so we notice when mozilla release has changed

* Wed Apr 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.9-1mdk
- Release 0.9 (with Gtz help)
- add gconf schemas
- needs new gtk
- requires mozilla instead of gtkhtml

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.8.1-1mdk
- Release 0.8.1

* Wed Feb 11 2004 Abel Cheung <deaddog@deaddog.org> 0.7-4mdk
- Fix menu
- Use Imagemagick to convert icons

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-3mdk
- don't libtoolize to fix build of libdevhelp

* Tue Jul  1 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.7-2mdk
- add icons
- fix url and package description

* Tue Jul 01 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7-1mdk
- 0.7

* Fri Apr 25 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.6.0-1mdk
- Release 0.6.0

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 0.5.0-1mdk
- Release 0.5.0 (GNOME2)
- Remove patch0 (no longer needed)

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-5mdk
- Grr, really remove dependency on old openssl

* Fri Jan 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-4mdk
- Recompiled against latest openssl

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-3mdk
- PreReq GConf (fix bug 677)

* Wed Nov 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-2mdk
- Recompiled against latest gal/gtkhtml
- Patch0: add support for gtkhtml 1.1.x

* Thu May  2 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4-1mdk
- Release 0.4

* Fri Apr 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Initial Mdk package (not libified, not needed)
